Piloterr

SeLoger Agency

GET
/v2/seloger/agency

Retrieve detailed profile information for a SeLoger real estate agency including contact details, ratings, reviews, and address.

Credit cost: 3 credits per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

A SeLoger agency profile URL (for example provider.profile_url from a search result), a SeLoger agency ID or a legacy numeric agency ID.

Supported formats:

https://www.seloger.com/professionnels-immobilier/{id}
https://www.seloger.com/professionnels/agences-immobilieres/{city}/agence-{id}
M4CABaoTPq6s1B6LAoxZ5n
21719

Example:

https://www.seloger.com/professionnels-immobilier/M4CABaoTPq6s1B6LAoxZ5n

Note: Legacy agency URLs and numeric IDs return the same profile, with intermediary_id filled.

fields?string

Comma-separated list of response fields to return, with dot notation for nested fields (e.g. name,location.city).

is_async?boolean

Run the request as a background job: the API answers 202 with a job_id to poll on GET /v1/jobs/{id}.

Defaultfalse
soft_fail?boolean

Return HTTP 200 even when the request fails; the error is in the error field of the body.

Defaultfalse

Response Body

Successful response

application/json
  1. response
id?string
url?string
logo?
name?string
email?string
siren?string
siret?string
rating?
address?
network?unknown
reviews?
website?string
services?array<unknown>
languages?unknown
legal_form?string
legal_name?string
profile_id?string
properties?array<>
sold_count?integer
phone_number?string
team_members?array<>
mobile_number?unknown
opening_hours?array<unknown>
listings_count?
intermediary_id?unknown
intermediary_type?string
opening_hours_text?string
head_office_address?
professional_card_number?unknown
Example Request
curl -X GET 'https://api.piloterr.com/v2/seloger/agency?query=string'
Example Response
{  "id": "M4CABaoTPq6s1B6LAoxZ5n",  "url": "https://www.seloger.com/professionnels-immobilier/M4CABaoTPq6s1B6LAoxZ5n",  "logo": {    "alt": null,    "src": "https://mms.seloger.com/a/5/7/7/a577d0c9-752f-4537-9862-5182d530fe88.jpg?ci_eqs=&ci_seal=23afc049a18a224849909bf9ee190f1e2bd105b9&w=240"  },  "name": "ABSOLUTE HABITAT ARCACHON-BORDEAUX",  "email": "name@example.com",  "siren": "517668968",  "siret": "51766896800020",  "rating": {    "value": 4.9,    "reviews_count": 18  },  "address": {    "city": "Bordeaux",    "street": "44 Cours de Verdun",    "country": "fr",    "latitude": 44.847603,    "zip_code": "33000",    "longitude": -0.57628196  },  "network": null,  "reviews": {    "count": 18,    "result": [      {        "id": "2083533789",        "date": "2026-10-01T00:00:00.000Z",        "text": "Heureuse nouvelle propriétaire d'un appartement à Bordeaux, je tiens à souligner la qualité de l'accompagnement assuré par Yann Derrien dans la concrétisation de l'achat de mon bien. Bien plus qu'un investissement, ce projet représentait pour moi un véritable accomplissement, lequel me tenait beaucoup à cœur. De la visite à la remise des clés, Yann s'est montré de bon conseil à bien des reprises,…",        "origin": "MEILLEURSAGENTS",        "rating": 5,        "language": "fr",        "reviewer_name": "Laura-Line L."      },      {        "id": "2083477352",        "date": "2026-02-16T00:00:00.000Z",        "text": "Yann fut empathique, disponible, aimable, bref humainement à niveau. Je n'étais pas fan des personnes pratiquant ce métier à ce jour. Aujourd'hui, cet agent immobilier m'à permis d'avoir une image plus qualitative et professionnelle de ce métier. Avec Respect, le vendeur. ",        "origin": "MEILLEURSAGENTS",        "rating": 4,        "language": "fr",        "reviewer_name": "Hugo L."      }    ]  },  "website": "https://www.absolutehabitat.com/",  "services": [],  "languages": null,  "legal_form": "Société à responsabilité limitée (sans autre indication)",  "legal_name": "SARL ABSOLUTE HABITAT",  "profile_id": "aviv.profileId.a268e18d-a83e-41b1-bda7-aa0a70e2e4ed",  "properties": [    {      "id": "26681SW32D46",      "latitude": 44.84368521645649,      "longitude": -0.563319141626806    },    {      "id": "268N38FVN58P",      "latitude": 44.83944307029171,      "longitude": -0.5765728853287054    }  ],  "sold_count": 91,  "phone_number": "+33100000000",  "team_members": [    {      "name": "Mathias OGE",      "role": "Négociateur vente",      "picture": "https://thumbor.meilleursagents.com:443/0McpKDKWdSeJSp1q0fMKHMNkrAU=/contacts/a8/3a/a83abc1fbaac157d1ef2dd81f80da9d2e052d60b.jpg"    },    {      "name": "Caroline Saurel",      "role": "Négociatrice vente",      "picture": "https://thumbor.meilleursagents.com:443/RppvSIaplZsc5TMGcQaHpz1YLnQ=/contacts/0b/47/0b47da9c0bdbf6114634009cbc7e80ca86e4caa7.jpg"    }  ],  "mobile_number": null,  "opening_hours": [],  "listings_count": {    "sold": 91,    "rented": 0,    "for_rent": 0,    "for_sale": 55,    "new_build": 0  },  "intermediary_id": null,  "intermediary_type": "AGENCY",  "opening_hours_text": "Du Lundi au Vendredi:\n9h00 à 12h30 et 14h00 à 18h00\nle Samedi sur Rendez-Vous.",  "head_office_address": {    "city": "BORDEAUX",    "street": "44 COURS DE VERDUN",    "country": "France",    "zip_code": "33000"  },  "professional_card_number": null}